=== debian/changelog ===
linux-oem-6.17 (6.17.0-1002.2) noble; urgency=medium

  * noble/linux-oem-6.17: 6.17.0-1002.2 -proposed tracker (LP: #2121924)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.oem/dkms-versions -- update from kernel-versions
      (main/d2025.08.25)

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Wed, 03 Sep 2025 17:14:01 +0800

linux-oem-6.17 (6.17.0-1001.1) noble; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] update variants
    - [Packaging] update update.conf
    - [Packaging] update Ubuntu.md
    - [Packaging] debian.oem/dkms-versions -- update from kernel-versions
      (main/d2025.08.25)

  * Miscellaneous Ubuntu changes
    - [Config] Update annotations for oem-6.17
    - [Packaging] Remove old and obsolete build flags
    - [Packaging] Do not specified rustc version
    - [Packaging] Change clang-19 to clang-18
    - Drop failing dkms packages from the build
    - [Config] Update gcc version for oem-6.17

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Tue, 02 Sep 2025 10:06:35 +0800

linux-oem-6.17 (6.17.0-1000.0) noble; urgency=medium

  * Initial changelog entry.

 -- Kuan-Ying Lee <kuan-ying.lee@canonical.com>  Mon, 01 Sep 2025 13:34:11 +0800

linux (6.17.0-3.3) questing; urgency=medium

  * questing/linux: 6.17.0-3.3 -proposed tracker (LP: #2121512)

  *  Enable Xilinx PS UART configs (LP: #2121337)
    - [Config] Enable Xilinx PS UART configs

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.08.25)

  * Plucky/Questing fails to boot on (older) Macs (LP: #2105402)
    - SAUCE: hack: efi/libstub: enable t14s boot failure hack only on arm64

  * Miscellaneous Ubuntu changes
    - [Packaging] Fix linux-modules Description, add dependency on wireless-
      regdb from old -extra
    - [Packaging] Fix arch list for bpftool build-dep

 -- Timo Aaltonen <timo.aaltonen@canonical.com>  Thu, 28 Aug 2025 10:37:03 +0300

linux (6.17.0-2.2) questing; urgency=medium

  * questing/linux: 6.17.0-2.2 -proposed tracker (LP: #2121374)

  * Packaging resync (LP: #1786013)
    - [Packaging] debian.master/dkms-versions -- update from kernel-versions
      (main/d2025.08.25)

  * enable Mediatek media platform drivers on arm64 (LP: #2116138)
    - [Config] enable mediatek media platform drivers

  * update apparmor and LSM stacking patch set (LP: #2028253)
    - SAUCE: apparmor5.0.0 [1/38]: Stacking: Audit: Create audit_stamp
      structure
    - SAUCE: apparmor5.0.0 [2/38]: Stacking: Audit: Allow multiple records in
      an audit_buffer
    - SAUCE: apparmor5.0.0 [3/38]: Stacking: LSM: security_lsmblob_to_secctx
      module selection
    - SAUCE: apparmor5.0.0 [4/38]: Stacking: Audit: Add record for multiple
      task security contexts
    - SAUCE: apparmor5.0.0 [5/38]: Stacking: Audit: multiple subject lsm
      values for netlabel
    - SAUCE: apparmor5.0.0 [6/38]: Stacking: Audit: Add record for multiple
      object contexts
    - SAUCE: apparmor5.0.0 [7/38]: Stacking: LSM: Single calls in secid hooks
    - SAUCE: apparmor5.0.0 [8/38]: Stacking: LSM: Exclusive secmark usage
    - SAUCE: apparmor5.0.0 [9/38]: Stacking: Audit: Call only the first of the
      audit rule hooks
    - SAUCE: apparmor5.0.0 [10/38]: Stacking: AppArmor: Remove the exclusive
      flag
    - SAUCE: apparmor5.0.0 [11/38]: Revert "apparmor: fix dbus permission
      queries to v9 ABI"
    - SAUCE: apparmor5.0.0 [12/38]: Revert "apparmor: gate make fine grained
      unix mediation behind v9 abi"
    - SAUCE: apparmor5.0.0 [13/38]: apparmor: net: patch to provide
      compatibility with v2.x net rules
    - SAUCE: apparmor5.0.0 [14/38]: apparmor: net: add fine grained ipv4/ipv6
      mediation
    - SAUCE: apparmor5.0.0 [15/38]: apparmor: userns: add unprivileged user ns
      mediation
    - SAUCE: apparmor5.0.0 [16/38]: apparmor: userns: Add sysctls for
      additional controls of unpriv userns restrictions
    - SAUCE: apparmor5.0.0 [18/38]: apparmor: userns: open userns related
      sysctl so lxc can check if restriction are in place
    - SAUCE: apparmor5.0.0 [19/38]: apparmor: userns: allow profile to be
      transitioned when a userns is created
    - SAUCE: apparmor5.0.0 [20/38]: aoparmor: userns: Add support for execpath
      in userns
    - SAUCE: apparmor5.0.0 [21/38]: apparmor: mqueue: call
      security_inode_init_security on inode creation
    - SAUCE: apparmor5.0.0 [22/38]: apparmor: mqueue: add fine grained
      mediation of posix mqueues
    - SAUCE: apparmor5.0.0 [23/38]: apparmor: uring: add io_uring mediation
    - SAUCE: apparmor5.0.0 [26/38]: apparmor: prompt: setup slab cache for
      audit data
    - SAUCE: apparmor5.0.0 [27/38]: apparmor: prompt: add the ability for
      profiles to have a learning cache
    - SAUCE: apparmor5.0.0 [28/38]: apparmor: prompt: enable userspace upcall
      for mediation
    - SAUCE: apparmor5.0.0 [29/38]: apparmor: prompt: pass prompt boolean
      through into path_name as well
    - SAUCE: apparmor5.0.0 [30/38]: apparmor: add AA_DEBUG_PROFILE to have
      debug on profiles with flag set
    - SAUCE: apparmor5.0.0 [31/38]: apparmor: make str table more generic and
      be able to have multiple entries
    - SAUCE: apparmor5.0.0 [32/38]: apparmor: check for supported version in
      notification messages.
    - SAUCE: apparmor5.0.0 [33/38]: apparmor: refactor building notice so it
      is easier to extend
    - SAUCE: apparmor5.0.0 [34/38]: apparmor: switch from ENOTSUPP to
      EPROTONOSUPPORT
    - SAUCE: apparmor5.0.0 [35/38]: UBUNTU: SAUCE: apparmor5.0.0 [35/38]:
      apparmor: add support for meta data tags
    - SAUCE: apparmor5.0.0 [36/38]: apparmor: mmap_file() doesn't need to be
      called atomically
    - SAUCE: apparmor5.0.0 [37/38]: apparmor: guard against free routines
      being called with a NULL

