=== debian/control ===
Source: linux-oem-6.17
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
XSC-Ubuntu-Compatible-Signing: ubuntu/4 pro/3
Rules-Requires-Root: no
Standards-Version: 3.9.4.0
Build-Depends:
 gcc-13:native, gcc-13-aarch64-linux-gnu [arm64] <cross>, gcc-13-arm-linux-gnueabihf [armhf] <cross>, gcc-13-powerpc64le-linux-gnu [ppc64el] <cross>, gcc-13-riscv64-linux-gnu [riscv64] <cross>, gcc-13-s390x-linux-gnu [s390x] <cross>, gcc-13-x86-64-linux-gnu [amd64] <cross>,
 autoconf <!stage1>,
 automake <!stage1>,
 bc <!stage1>,
 bindgen:native [amd64 arm64 armhf ppc64el riscv64 s390x],
 bison <!stage1>,
 clang-18:native [amd64 arm64 armhf ppc64el riscv64 s390x],
 cpio,
 curl <!stage1>,
 debhelper-compat (= 10),
 default-jdk-headless:native <!stage1>,
 dkms <!stage1>,
 flex <!stage1>,
 gawk <!stage1>,
 java-common <!stage1>,
 kmod <!stage1>,
 libaudit-dev <!stage1>,
 libcap-dev <!stage1>,
 libdebuginfod-dev [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 libdw-dev <!stage1>,
 libelf-dev <!stage1>,
 libiberty-dev <!stage1>,
 liblzma-dev <!stage1>,
 libnewt-dev <!stage1>,
 libnuma-dev [amd64 arm64 ppc64el s390x] <!stage1>,
 libpci-dev <!stage1>,
 libssl-dev <!stage1>,
 libstdc++-dev,
 libtool <!stage1>,
 libtraceevent-dev [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 libtracefs-dev [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 libudev-dev <!stage1>,
 libunwind8-dev [amd64 arm64 armhf ppc64el] <!stage1>,
 makedumpfile:native [amd64] <!stage1>,
 openssl <!stage1>,
 pahole (>= 1.29-2ubuntu2) [amd64 arm64 armhf ppc64el s390x riscv64] | dwarves (>= 1.21) [amd64 arm64 armhf ppc64el s390x riscv64] <!stage1>,
 pkg-config <!stage1>,
 python3:native <!stage1>,
 python3-dev:native <!stage1>,
 libpython3-dev <!stage1> <cross>,
 python3-setuptools,
 rsync [!i386] <!stage1>,
 rust-src:native [amd64 arm64 armhf ppc64el riscv64 s390x],
 rustc:native [amd64 arm64 armhf ppc64el riscv64 s390x],
 rustfmt:native [amd64 arm64 armhf ppc64el riscv64 s390x],
 uuid-dev <!stage1>,
 zstd <!stage1>,
 bpftool:native [amd64 arm64 armhf ppc64el riscv64 s390x] <!stage1> <cross>,
Build-Depends-Indep:
 asciidoc <!stage1>,
 bzip2 <!stage1>,
 python3-docutils <!stage1>,
 sharutils <!stage1>,
 xmlto <!stage1>,
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-oem/+git/noble -b oem-6.17
XS-Testsuite: autopkgtest
#XS-Testsuite-Depends: gcc-4.7 binutils

Package: linux-oem-6.17-headers-6.17.0-1002
Build-Profiles: <!stage1>
Architecture: all
Multi-Arch: foreign
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils
Description: Header files related to Linux kernel version 6.17.0
 This package provides kernel header files for version 6.17.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-oem-6.17-headers-6.17.0-1002/debian.README.gz for details

Package: linux-oem-6.17-tools-6.17.0-1002
Build-Profiles: <!stage1>
Architecture: amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Linux kernel version specific tools for version 6.17.0-1002
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 6.17.0-1002.
 You probably want to install linux-tools-6.17.0-1002-<flavour>.

Package: linux-image-unsigned-6.17.0-1002-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Provides: linux-image, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, virtualbox-guest-modules [amd64], ${linux:rprovides}
Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-6.17.0-1002-oem
Recommends: grub-pc [amd64] | grub-efi-amd64 [amd64] | grub-efi-ia32 [amd64] | grub [amd64] | lilo [amd64] | flash-kernel [armhf arm64] | grub-efi-arm64 [arm64] | grub-efi-arm [armhf] | grub-ieee1275 [ppc64el], initramfs-tools | linux-initramfs-tool
Breaks: flash-kernel (<< 3.90ubuntu2) [arm64 armhf], s390-tools (<< 2.3.0-0ubuntu3) [s390x]
Conflicts: linux-image-6.17.0-1002-oem
Suggests: bpftool, linux-perf, linux-oem-6.17-tools, linux-headers-6.17.0-1002-oem
Description: Linux kernel image for version 6.17.0
 This package contains the unsigned Linux kernel image for version 6.17.0.
 .
 Supports OEM processors.
 .
 Geared toward client devices.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-oem meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-unsigned-6.17.0-1002-oem-dbgsym
Build-Profiles: <!stage1>
Architecture: amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 6.17.0
 This package provides the unsigned kernel debug image for version 6.17.0.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.


Package: linux-modules-6.17.0-1002-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, wireless-regdb
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel modules for version 6.17.0
 Contains the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports OEM processors.
 .
 Geared toward client devices.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-oem meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-6.17.0-1002-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-oem-6.17-headers-6.17.0-1002, ${shlibs:Depends}
Provides: linux-headers, linux-headers-3.0
Description: Linux kernel headers for version 6.17.0
 This package provides kernel header files for version 6.17.0.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-6.17.0-1002/debian.README.gz for details.

Package: linux-lib-rust-6.17.0-1002-oem
Build-Profiles: <!stage1>
Architecture: amd64
Multi-Arch: foreign
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils
Description: Rust library files related to Linux kernel version 6.17.0
 This package provides kernel library files for version 6.17.0, that allow to
 compile out-of-tree kernel modules written in Rust.

Package: linux-tools-6.17.0-1002-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-oem-6.17-tools-6.17.0-1002
Description: Linux kernel version specific tools for version 6.17.0-1002
 This package provides the architecture dependant parts for kernel
 version locked tools (such as x86_energy_perf_policy) for
 version 6.17.0-1002.

Package: linux-cloud-tools-6.17.0-1002-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-oem-6.17-cloud-tools-6.17.0-1002
Description: Linux kernel version specific cloud tools for version 6.17.0-1002
 This package provides the architecture dependant parts for kernel
 version locked tools for cloud for version 6.17.0-1002.


Package: linux-buildinfo-6.17.0-1002-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel buildinfo for version 6.17.0
 This package contains the Linux kernel buildinfo for version 6.17.0.
 .
 You likely do not want to install this package.


Package: linux-modules-ipu6-6.17.0-1002-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends},
 linux-image-6.17.0-1002-oem | linux-image-unsigned-6.17.0-1002-oem,
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel ipu6 modules for version 6.17.0-1002
 This package provides the Linux kernel ipu6 modules for version
 6.17.0-1002.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-ipu6-oem* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.


Package: linux-modules-ipu7-6.17.0-1002-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends},
 linux-image-6.17.0-1002-oem | linux-image-unsigned-6.17.0-1002-oem,
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel ipu7 modules for version 6.17.0-1002
 This package provides the Linux kernel ipu7 modules for version
 6.17.0-1002.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-ipu7-oem* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.


Package: linux-modules-iwlwifi-6.17.0-1002-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends},
 linux-image-6.17.0-1002-oem | linux-image-unsigned-6.17.0-1002-oem,
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel iwlwifi modules for version 6.17.0-1002
 This package provides the Linux kernel iwlwifi modules for version
 6.17.0-1002.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-iwlwifi-oem* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.


Package: linux-modules-usbio-6.17.0-1002-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends},
 linux-image-6.17.0-1002-oem | linux-image-unsigned-6.17.0-1002-oem,
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel usbio modules for version 6.17.0-1002
 This package provides the Linux kernel usbio modules for version
 6.17.0-1002.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-usbio-oem* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.


Package: linux-modules-vision-6.17.0-1002-oem
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Depends:
 ${misc:Depends},
 linux-image-6.17.0-1002-oem | linux-image-unsigned-6.17.0-1002-oem,
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel vision modules for version 6.17.0-1002
 This package provides the Linux kernel vision modules for version
 6.17.0-1002.
 .
 You likely do not want to install this package directly. Instead, install the
 one of the linux-modules-vision-oem* meta-packages,
 which will ensure that upgrades work correctly, and that supporting packages are
 also installed.
